<?php

//Clase de Paises
class clase_delmun
{
  	var $nom_tabla = 'dxdelmun';
  	var  $cve_delmun = '0';
	var  $cve_pais = '0';
	var  $cve_estado = '0';
  	var  $des_delmun = '0';
//Funcion de Revicion
	function revisar_delmun(){
		$sql = "SELECT * FROM $this->nom_tabla WHERE cve_pais='$this->cve_pais' AND cve_estado='$this->cve_estado' AND des_delmun = '$this->des_delmun'";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=1){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Agregar
	function agregar_delmun(){
		$sql = "insert into $this->nom_tabla (cve_pais, cve_estado, des_delmun)values('$this->cve_pais', '$this->cve_estado', '$this->des_delmun')";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
		if ($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista Completa
	function lista_completa(){
		$sql= "SELECT * FROM $this->nom_tabla";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista con Busqueda
	function lista_busqueda($cve_delmun){
		$sql= "SELECT * FROM $this->nom_tabla WHERE cve_delmun = '".$cve_delmun."'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";   
		}
	}
//Funcion de Modificar
	function modifica_delmun($cve_delmun,$cve_pais, $cve_estado){
		$sql = "UPDATE $this->nom_tabla SET cve_pais = '".$cve_pais."',cve_estado = '".$cve_estado."',des_delmun = '$this->des_delmun' WHERE cve_delmun='".$cve_delmun."'"; 
		$result= mysqli_query($GLOBALS['con'] ,$sql);
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar_delmun($cve_delmun){   
		$sql = "DELETE FROM $this->nom_tabla WHERE cve_delmun = '".$cve_delmun."'";
		$resultado = mysqli_query($GLOBALS['con'] ,$sql);
		if($resultado){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}           
	}   
}       
?>